PxPlus User Forum

Twitter Twitter Twitter

Author Topic: Error presented in Installation of Inomads  (Read 1030 times)

JuanVelazquez

  • Member
  • **
  • Posts: 5
    • View Profile
Error presented in Installation of Inomads
« on: January 09, 2019, 10:50:45 AM »
I have been doing the installation of Inomads in Windows, with Pxplus V11.50, running on Apache V2.4, when making the declaration of httpd.conf and specifying the module "mod_inomads.so" the following is presented when starting Apache:

httpd.exe: Syntax error on line 189 of C: /Apache24/conf/httpd.conf: Can not load modules / mod_inomads.so into server:% 1 is not a valid Win32 application.

The version of Windows running is 64 Bit.

What could be happening? Is there any variation of mod_inomads.so for 32 or 64 Bit?

regards

Mike King

  • Administrator
  • Diamond Member
  • *****
  • Posts: 3532
  • Mike King
    • View Profile
    • PVX Plus Technologies
Re: Error presented in Installation of Inomads
« Reply #1 on: January 09, 2019, 11:38:20 AM »
We supply a Win32 mod_inomads.so for both Apache 2.2 and 2.4 in your install directory for PxPlus. 

The files can be found in :

<install directory>\lib\_plus\inomads\apache\module\windows

For Apache 2.2 simply copy mod_inomads.so to the Apache 2.2 modules directory.
For Apache 2.4 simply copy mod_inomads.so.24 to the Apache 2.4 modules directory and rename as mod_inomads.so.

We do not supply 64 bit versions but you can compile these yourself from the source provided in inomads\apache\module directory.
« Last Edit: January 09, 2019, 11:42:07 AM by Mike King »